package ld26.hernblog.com;
import browser.media.Sound;
import nme.geom.Rectangle;
import nme.Assets;
import nme.media.Sound;

/**
 * ...
 * @author Ian Hern
 */

class BoxFactory 
{
	public static var MinSize:Int = 20;
	public static var MaxSize:Int = 60;

	var stageWidth:Int;
	var stageHeight:Int;
	
	var humSound:Sound;
	var inhaleSound:Sound;
	var exhaleSound:Sound;
	
	public function new(stageWidth:Int, stageHeight:Int) 
	{
		this.stageWidth = stageWidth;
		this.stageHeight = stageHeight;
		
		humSound = Assets.getSound("assets/sound/hum.wav");
		inhaleSound = Assets.getSound("assets/sound/inhale.wav");
		exhaleSound = Assets.getSound("assets/sound/exhale2.wav");
	}
	
	public function GetRandomBox():Box
	{
		var width:Int = Std.int((Math.random() * (MaxSize-MinSize)) + MinSize);
		var height:Int = Std.int((Math.random() * (MaxSize-MinSize)) + MinSize);
		var colourScale:Float = Math.random() * 6.0;
		
		var bounds = new Rectangle(width / 2, height / 2, stageWidth - width, stageHeight - height);
		
		return new Box(width, height, colourScale, Std.int(Math.random() * 200.0) + 300, -30, bounds, humSound, inhaleSound, exhaleSound);
	}
}